Package ghidra.plugins.fsbrowser

# Class FSBAction

java.lang.Object
docking.action.DockingAction
ghidra.plugins.fsbrowser.FSBAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public abstract class FSBAction extends DockingAction
`FileSystemBrowserPlugin`-specific action.

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FSBAction(String menuText, Plugin plugin)`
  `FSBAction(String name, String menuText, Plugin plugin)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMenuText()`

  ### Methods inherited from class docking.action.DockingAction

  `actionPerformed, addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `createMenuComponent, getOwnerDescription`

- ## Constructor Details

  - ### FSBAction

    public FSBAction(String menuText, Plugin plugin)

  - ### FSBAction

    public FSBAction(String name, String menuText, Plugin plugin)

- ## Method Details

  - ### getMenuText

    public String getMenuText()